Subject: bug#79433: 9.7: cp(1): lchownat(2/3) fallback bogus?

From: Steffen Nurpmeso <[email-masked]>
Date: Tue, 16 Sep 2025 14:20:11 +0200

Paul Eggert wrote in
 <[email-masked]>:
 |On 2025-09-15 17:40, Steffen Nurpmeso wrote:
 |> How likely is a miscompilation of gcc 4.2.0?
 |
 |I would think not likely, but possible.
 |
 |If things are working for you know, I wouldn't spend much time worrying 
 |about it.

i'll attach it plzip(1)ped; i now install gdb, from objdump(1)
alone i cannot figure it out, the codepaths are too mangled for me
having no history with neither coreutils nor glibc.

  $ ldd /bin/cp
  linux-vdso.so.1 (0x00007fffe1e13000)
  libacl.so.1 => /lib/libacl.so.1 (0x00007fcf92d3a000)
  libattr.so.1 => /lib/libattr.so.1 (0x00007fcf92d32000)
  libc.so.6 => /lib/libc.so.6 (0x00007fcf92b42000)
  /lib/ld-linux-x86-64.so.2 => /lib64/ld-linux-x86-64.so.2 (0x00007fcf92d66000)

I could also place the actual libs on the server, just in case
anyone wants the complete picture; seems unnecessary.  It is
absolutely reproducible, so the problem is in the binary for sure.

 --End of <[email-masked]>

--steffen
|
|Der Kragenbaer,                The moon bear,
|der holt sich munter           he cheerfully and one by one
|einen nach dem anderen runter  wa.ks himself off
|(By Robert Gernhardt)